Import Shotgun task statuses. Send a list of Shotgun status entries in the JSON body. Returns created or updated task statuses with colors.
POST
/import/shotgun/status
curl
curl -X POST "http://api.example.com/import/shotgun/status" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": 12345,
"name": "In Progress",
"code": "IP",
"bg_color": "255,128,0"
}
]'
import requests
url = "http://api.example.com/import/shotgun/status"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": 12345,
"name": "In Progress",
"code": "IP",
"bg_color": "255,128,0"
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/shotgun/status' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":12345,"code":"IP","name":"In Progress","bg_color":"255,128,0"}]'
Request example
[
{
"id": 12345,
"code": "IP",
"name": "In Progress",
"bg_color": "255,128,0"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "In Progress",
"short_name": "IP",
"color": "#FF8000",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]